diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 58fb1d03f19e6afe249bb24effd33cb6b14e0ed5..3a2ae0a112dea84ede8ce43c8d3dc3a8c0cdd277 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -320,9 +320,9 @@ public final class CMSAdminServlet extends AdminServlet {
         NameValuePairs params = new NameValuePairs();
 
         if (File.separator.equals("\\"))
-            params.add(Constants.PR_NT, Constants.TRUE);
+            params.put(Constants.PR_NT, Constants.TRUE);
         else
-            params.add(Constants.PR_NT, Constants.FALSE);
+            params.put(Constants.PR_NT, Constants.FALSE);
 
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -335,7 +335,7 @@ public final class CMSAdminServlet extends AdminServlet {
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_TOKEN_LIST, jssSubSystem.getTokenList());
+        params.put(Constants.PR_TOKEN_LIST, jssSubSystem.getTokenList());
 
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -348,7 +348,7 @@ public final class CMSAdminServlet extends AdminServlet {
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
 
-        params.add(Constants.PR_ALL_NICKNAMES, jssSubSystem.getAllCerts());
+        params.put(Constants.PR_ALL_NICKNAMES, jssSubSystem.getAllCerts());
 
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -405,10 +405,10 @@ public final class CMSAdminServlet extends AdminServlet {
 
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_CIPHER_VERSION,
+        params.put(Constants.PR_CIPHER_VERSION,
                 jssSubSystem.getCipherVersion());
-        params.add(Constants.PR_CIPHER_FORTEZZA, jssSubSystem.isCipherFortezza());
-        params.add(Constants.PR_CIPHER_PREF, jssSubSystem.getCipherPreferences());
+        params.put(Constants.PR_CIPHER_FORTEZZA, jssSubSystem.isCipherFortezza());
+        params.put(Constants.PR_CIPHER_PREF, jssSubSystem.getCipherPreferences());
 
         String tokenList = jssSubSystem.getTokenList();
 
@@ -426,10 +426,10 @@ public final class CMSAdminServlet extends AdminServlet {
             else
                 tokenNewList = tokenNewList + "," + tokenName;
             tokenName = escapeString(tokenName);
-            params.add(Constants.PR_TOKEN_PREFIX + tokenName, certs);
+            params.put(Constants.PR_TOKEN_PREFIX + tokenName, certs);
         }
 
-        params.add(Constants.PR_TOKEN_LIST, tokenNewList);
+        params.put(Constants.PR_TOKEN_LIST, tokenNewList);
 
         if (isCAInstalled) {
             ICertificateAuthority ca = (ICertificateAuthority) CMS.getSubsystem(CMS.SUBSYSTEM_CA);
@@ -443,7 +443,7 @@ public final class CMSAdminServlet extends AdminServlet {
             String caNickName = signingUnit.getNickname();
 
             //params.add(Constants.PR_CERT_CA, caTokenName+","+caNickName);
-            params.add(Constants.PR_CERT_CA, getCertNickname(caNickName));
+            params.put(Constants.PR_CERT_CA, getCertNickname(caNickName));
         }
 
         if (isRAInstalled) {
@@ -451,7 +451,7 @@ public final class CMSAdminServlet extends AdminServlet {
                     CMS.getSubsystem(CMS.SUBSYSTEM_RA);
             String raNickname = ra.getNickname();
 
-            params.add(Constants.PR_CERT_RA, getCertNickname(raNickname));
+            params.put(Constants.PR_CERT_RA, getCertNickname(raNickname));
         }
 
         if (isKRAInstalled) {
@@ -459,12 +459,12 @@ public final class CMSAdminServlet extends AdminServlet {
                     CMS.getSubsystem(CMS.SUBSYSTEM_KRA);
             String kraNickname = kra.getNickname();
 
-            params.add(Constants.PR_CERT_TRANS, getCertNickname(kraNickname));
+            params.put(Constants.PR_CERT_TRANS, getCertNickname(kraNickname));
         }
 
         String nickName = CMS.getServerCertNickname();
 
-        params.add(Constants.PR_CERT_SERVER, getCertNickname(nickName));
+        params.put(Constants.PR_CERT_SERVER, getCertNickname(nickName));
 
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -795,7 +795,7 @@ public final class CMSAdminServlet extends AdminServlet {
             if (sys instanceof ITKSAuthority)
                 type = Constants.PR_TKS_INSTANCE;
             if (!type.trim().equals(""))
-                params.add(sys.getId(), type);
+                params.put(sys.getId(), type);
         }
 
         sendResponse(SUCCESS, null, params, resp);
@@ -811,25 +811,25 @@ public final class CMSAdminServlet extends AdminServlet {
         IConfigStore cs = CMS.getConfigStore();
         try {
             String installdate = cs.getString(Constants.PR_STAT_INSTALLDATE, "");
-            params.add(Constants.PR_STAT_INSTALLDATE, installdate);
+            params.put(Constants.PR_STAT_INSTALLDATE, installdate);
         } catch (Exception e) {
         }
 
         try {
             String version = cs.getString(Constants.PR_STAT_VERSION, "");
-            params.add(Constants.PR_STAT_VERSION, version);
+            params.put(Constants.PR_STAT_VERSION, version);
         } catch (Exception e) {
         }
 
         try {
             String instanceId = cs.getString(Constants.PR_STAT_INSTANCEID, "");
-            params.add(Constants.PR_STAT_INSTANCEID, instanceId);
+            params.put(Constants.PR_STAT_INSTANCEID, instanceId);
         } catch (Exception e) {
         }
 
-        params.add(Constants.PR_STAT_STARTUP,
+        params.put(Constants.PR_STAT_STARTUP,
                 (new Date(CMS.getStartupTime())).toString());
-        params.add(Constants.PR_STAT_TIME,
+        params.put(Constants.PR_STAT_TIME,
                 (new Date(System.currentTimeMillis())).toString());
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -890,8 +890,8 @@ public final class CMSAdminServlet extends AdminServlet {
             String masterKeyPrefix = CMS.getConfigStore().getString("tks.master_key_prefix", null);
 
             SessionKey.SetDefaultPrefix(masterKeyPrefix);
-            params.add(Constants.PR_KEY_LIST, newKeyName);
-            params.add(Constants.PR_TOKEN_LIST, selectedToken);
+            params.put(Constants.PR_KEY_LIST, newKeyName);
+            params.put(Constants.PR_TOKEN_LIST, selectedToken);
         }
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -937,7 +937,7 @@ public final class CMSAdminServlet extends AdminServlet {
                 }
                 // String symKeys = new String("key1,key2"); 
                 String symKeys = SessionKey.ListSymmetricKeys(selectedToken);
-                params.add(Constants.PR_TOKEN_LIST, symKeys);
+                params.put(Constants.PR_TOKEN_LIST, symKeys);
 
             }
         }
@@ -966,9 +966,9 @@ public final class CMSAdminServlet extends AdminServlet {
             if (name.equals(Constants.OP_SCOPE))
                 continue;
             if (name.equals(Constants.PR_SECURE_PORT_ENABLED))
-                params.add(name, ldapConfig.getString(name, "Constants.FALSE"));
+                params.put(name, ldapConfig.getString(name, "Constants.FALSE"));
             else
-                params.add(name, ldapConfig.getString(name, ""));
+                params.put(name, ldapConfig.getString(name, ""));
         }
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -1006,9 +1006,9 @@ public final class CMSAdminServlet extends AdminServlet {
         IConfigStore dbConfig = mConfig.getSubStore(PROP_SMTP);
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_SERVER_NAME,
+        params.put(Constants.PR_SERVER_NAME,
                 dbConfig.getString("host"));
-        params.add(Constants.PR_PORT,
+        params.put(Constants.PR_PORT,
                 dbConfig.getString("port"));
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -1064,7 +1064,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_LOGGED_IN, "" + status);
+        params.put(Constants.PR_LOGGED_IN, "" + status);
 
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -1210,8 +1210,8 @@ public final class CMSAdminServlet extends AdminServlet {
             }
             String certReq = jssSubSystem.getCertRequest(subjectName, keypair);
 
-            params.add(Constants.PR_CSR, certReq);
-            params.add(Constants.PR_CERT_REQUEST_DIR, dir);
+            params.put(Constants.PR_CSR, certReq);
+            params.put(Constants.PR_CERT_REQUEST_DIR, dir);
             PrintStream ps = new PrintStream(new FileOutputStream(pathname));
 
             ps.println(certReq);
@@ -2432,8 +2432,8 @@ public final class CMSAdminServlet extends AdminServlet {
             String content = jssSubSystem.getCertPrettyPrint(b64Cert,
                     super.getLocale(req));
 
-            results.add(Constants.PR_NICKNAME, "FBCA cross-signed cert");
-            results.add(Constants.PR_CERT_CONTENT, content);
+            results.put(Constants.PR_NICKNAME, "FBCA cross-signed cert");
+            results.put(Constants.PR_CERT_CONTENT, content);
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
@@ -2618,8 +2618,8 @@ public final class CMSAdminServlet extends AdminServlet {
                 super.getLocale(req));
 
         if (nickname != null && !nickname.equals(""))
-            results.add(Constants.PR_NICKNAME, nickname);
-        results.add(Constants.PR_CERT_CONTENT, content);
+            results.put(Constants.PR_NICKNAME, nickname);
+        results.put(Constants.PR_CERT_CONTENT, content);
         //results = jssSubSystem.getCertInfo(value);
 
         sendResponse(SUCCESS, null, results, resp);
@@ -2664,7 +2664,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
         String print = jssSubSystem.getCertPrettyPrintAndFingerPrint(nickname,
                 serialno, issuername, locale);
-        pairs.add(nickname, print);
+        pairs.put(nickname, print);
 
         sendResponse(SUCCESS, null, pairs, resp);
     }
@@ -2707,7 +2707,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
         String trustbit = jssSubSystem.getRootCertTrustBit(nickname,
                 serialno, issuername);
-        pairs.add(nickname, trustbit);
+        pairs.put(nickname, trustbit);
 
         sendResponse(SUCCESS, null, pairs, resp);
     }
@@ -2924,7 +2924,7 @@ public final class CMSAdminServlet extends AdminServlet {
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String subjectName = jssSubSystem.getSubjectDN(nickname);
 
-        params.add(Constants.PR_SUBJECT_NAME, subjectName);
+        params.put(Constants.PR_SUBJECT_NAME, subjectName);
         sendResponse(SUCCESS, null, params, resp);
     }
 
@@ -2950,7 +2950,7 @@ public final class CMSAdminServlet extends AdminServlet {
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
         String subjectName = jssSubSystem.getSubjectDN(nickname);
 
-        params.add(Constants.PR_SUBJECT_NAME, subjectName);
+        params.put(Constants.PR_SUBJECT_NAME, subjectName);
         sendResponse(SUCCESS, null, params, resp);
     }
 
@@ -3342,9 +3342,9 @@ public final class CMSAdminServlet extends AdminServlet {
             audit(auditMessage);
 
             // notify console of SUCCESS
-            results.add(Constants.PR_RUN_SELFTESTS_ON_DEMAND_CLASS,
+            results.put(Constants.PR_RUN_SELFTESTS_ON_DEMAND_CLASS,
                     CMSAdminServlet.class.getName());
-            results.add(Constants.PR_RUN_SELFTESTS_ON_DEMAND_CONTENT,
+            results.put(Constants.PR_RUN_SELFTESTS_ON_DEMAND_CONTENT,
                     content);
             sendResponse(SUCCESS, null, results, resp);
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
index a9baa874c32bf931d6aa24bd77b8afce6edef0b9..42ff32ebef97e1552a513ee7c259ed34206cb710 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
@@ -510,7 +510,7 @@ public class JobsAdminServlet extends AdminServlet {
 
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_JOBS_IMPL_NAME, implname);
+        params.put(Constants.PR_JOBS_IMPL_NAME, implname);
         sendResponse(SUCCESS, null, params, resp);
         return;
     }
@@ -526,7 +526,7 @@ public class JobsAdminServlet extends AdminServlet {
             String name = e.nextElement();
             JobPlugin value = mJobsSched.getPlugins().get(name);
 
-            params.add(name, value.getClassPath());
+            params.put(name, value.getClassPath());
             //				params.add(name, value.getClassPath()+EDIT);
         }
         sendResponse(SUCCESS, null, params, resp);
@@ -544,9 +544,9 @@ public class JobsAdminServlet extends AdminServlet {
             IJob value = mJobsSched.getInstances().get((Object) name);
 
             //				params.add(name, value.getImplName());
-            params.add(name, value.getImplName() + VISIBLE +
+            params.put(name, value.getImplName() + VISIBLE +
                     (value.isEnabled() ? ENABLED : DISABLED)
-                    );
+            );
         }
         sendResponse(SUCCESS, null, params, resp);
         return;
@@ -691,10 +691,10 @@ public class JobsAdminServlet extends AdminServlet {
         NameValuePairs params = new NameValuePairs();
 
         // implName is always required so always send it.
-        params.add(Constants.PR_JOBS_IMPL_NAME, "");
+        params.put(Constants.PR_JOBS_IMPL_NAME, "");
         if (configParams != null) {
             for (int i = 0; i < configParams.length; i++) {
-                params.add(configParams[i], "");
+                params.put(configParams[i], "");
             }
         }
         sendResponse(0, null, params, resp);
@@ -728,7 +728,7 @@ public class JobsAdminServlet extends AdminServlet {
         String[] configParams = jobInst.getConfigParams();
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_JOBS_IMPL_NAME, jobInst.getImplName());
+        params.put(Constants.PR_JOBS_IMPL_NAME, jobInst.getImplName());
 
         // implName is always required so always send it.
         if (configParams != null) {
@@ -738,9 +738,9 @@ public class JobsAdminServlet extends AdminServlet {
                 String val = (String) config.get(key);
 
                 if (val != null && !val.equals("")) {
-                    params.add(key, val);
+                    params.put(key, val);
                 } else {
-                    params.add(key, "");
+                    params.put(key, "");
                 }
             }
         }
@@ -813,7 +813,7 @@ public class JobsAdminServlet extends AdminServlet {
         NameValuePairs saveParams = new NameValuePairs();
 
         // implName is always required so always include it it.
-        saveParams.add(IJobsScheduler.PROP_PLUGIN,
+        saveParams.put(IJobsScheduler.PROP_PLUGIN,
                 (String) oldConfig.get(IJobsScheduler.PROP_PLUGIN));
         if (oldConfigParms != null) {
             for (int i = 0; i < oldConfigParms.length; i++) {
@@ -821,7 +821,7 @@ public class JobsAdminServlet extends AdminServlet {
                 Object val = oldConfig.get(key);
 
                 if (val != null) {
-                    saveParams.add(key, (String) val);
+                    saveParams.put(key, (String) val);
                 }
             }
         }
@@ -945,11 +945,11 @@ public class JobsAdminServlet extends AdminServlet {
         NameValuePairs params = new NameValuePairs();
         IConfigStore config = mConfig.getSubStore(DestDef.DEST_JOBS_ADMIN);
 
-        params.add(Constants.PR_ENABLE,
+        params.put(Constants.PR_ENABLE,
                 config.getString(IJobsScheduler.PROP_ENABLED,
                         Constants.FALSE));
         // default 1 minute
-        params.add(Constants.PR_JOBS_FREQUENCY,
+        params.put(Constants.PR_JOBS_FREQUENCY,
                 config.getString(IJobsScheduler.PROP_INTERVAL, "1"));
 
         //System.out.println("Send: "+params.toString());
@@ -997,11 +997,8 @@ public class JobsAdminServlet extends AdminServlet {
         store.removeSubStore(id);
         IConfigStore rstore = store.makeSubStore(id);
 
-        Enumeration<String> keys = saveParams.getNames();
-
-        while (keys.hasMoreElements()) {
-            String key = keys.nextElement();
-            String value = saveParams.getValue(key);
+        for (String key : saveParams.keySet()) {
+            String value = saveParams.get(key);
 
             if (!value.equals(""))
                 rstore.put(key, value);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
index 0d3648c98103c0952085f18e4a9461e65b0cc376..eaa5a95c4e8b2fc1491681faad701425675285ed 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
@@ -180,7 +180,7 @@ public class KRAAdminServlet extends AdminServlet {
         int value = 1;
 
         value = mKRA.getNoOfRequiredAgents();
-        params.add(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS, Integer.toString(value));
+        params.put(Constants.PR_NO_OF_REQUIRED_RECOVERY_AGENTS, Integer.toString(value));
 
         sendResponse(SUCCESS, null, params, resp);
     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
index ff70a5c53f24356928dcb4e865b5384ade869625..be723fcd66e7bdec40ec2b11ab4d0b26f60591d9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
@@ -355,7 +355,7 @@ public class LogAdminServlet extends AdminServlet {
 
             // not show ntEventlog here
             if (all || (!all && !c.endsWith("NTEventLog")))
-                params.add(name, pName + ";visible");
+                params.put(name, pName + ";visible");
         }
         sendResponse(SUCCESS, null, params, resp);
         return;
@@ -976,7 +976,7 @@ public class LogAdminServlet extends AdminServlet {
 
             NameValuePairs params = new NameValuePairs();
 
-            params.add(Constants.PR_LOG_IMPL_NAME, implname);
+            params.put(Constants.PR_LOG_IMPL_NAME, implname);
 
             // store a message in the signed audit log file
             if (logType.equals(SIGNED_AUDIT_LOG_TYPE)) {
@@ -1054,7 +1054,7 @@ public class LogAdminServlet extends AdminServlet {
                         resp);
                 return;
             }
-            params.add(name, value.getClassPath() + "," + desc);
+            params.put(name, value.getClassPath() + "," + desc);
         }
         sendResponse(SUCCESS, null, params, resp);
         return;
@@ -1569,13 +1569,13 @@ public class LogAdminServlet extends AdminServlet {
             NameValuePairs saveParams = new NameValuePairs();
 
             // implName is always required so always include it it.
-            saveParams.add("pluginName", implname);
+            saveParams.put("pluginName", implname);
             if (oldConfigParms != null) {
                 for (int i = 0; i < oldConfigParms.size(); i++) {
                     String kv = (String) oldConfigParms.elementAt(i);
                     int index = kv.indexOf('=');
 
-                    saveParams.add(kv.substring(0, index),
+                    saveParams.put(kv.substring(0, index),
                             kv.substring(index + 1));
                 }
             }
@@ -2214,16 +2214,16 @@ public class LogAdminServlet extends AdminServlet {
         NameValuePairs params = new NameValuePairs();
 
         // implName is always required so always send it.
-        params.add(Constants.PR_LOG_IMPL_NAME, "");
+        params.put(Constants.PR_LOG_IMPL_NAME, "");
         if (configParams != null) {
             for (int i = 0; i < configParams.size(); i++) {
                 String kv = (String) configParams.elementAt(i);
                 int index = kv.indexOf('=');
 
                 if (index == -1) {
-                    params.add(kv, "");
+                    params.put(kv, "");
                 } else {
-                    params.add(kv.substring(0, index),
+                    params.put(kv.substring(0, index),
                             kv.substring(index + 1));
                 }
             }
@@ -2259,7 +2259,7 @@ public class LogAdminServlet extends AdminServlet {
         Vector<String> configParams = logInst.getInstanceParams();
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_LOG_IMPL_NAME,
+        params.put(Constants.PR_LOG_IMPL_NAME,
                 getLogPluginName(logInst));
         // implName is always required so always send it.
         if (configParams != null) {
@@ -2267,7 +2267,7 @@ public class LogAdminServlet extends AdminServlet {
                 String kv = (String) configParams.elementAt(i);
                 int index = kv.indexOf('=');
 
-                params.add(kv.substring(0, index),
+                params.put(kv.substring(0, index),
                         kv.substring(index + 1));
             }
         }
@@ -2282,11 +2282,8 @@ public class LogAdminServlet extends AdminServlet {
         store.removeSubStore(id);
         IConfigStore rstore = store.makeSubStore(id);
 
-        Enumeration<String> keys = saveParams.getNames();
-
-        while (keys.hasMoreElements()) {
-            String key = (String) keys.nextElement();
-            String value = saveParams.getValue(key);
+        for (String key : saveParams.keySet()) {
+            String value = saveParams.get(key);
 
             if (value != null)
                 rstore.put(key, value);
@@ -2323,10 +2320,10 @@ public class LogAdminServlet extends AdminServlet {
         String value = "false";
 
         value = mConfig.getString(Constants.PR_DEBUG_LOG_ENABLE, "false");
-        params.add(Constants.PR_DEBUG_LOG_ENABLE, value);
+        params.put(Constants.PR_DEBUG_LOG_ENABLE, value);
 
         value = mConfig.getString(Constants.PR_DEBUG_LOG_LEVEL, "0");
-        params.add(Constants.PR_DEBUG_LOG_LEVEL, value);
+        params.put(Constants.PR_DEBUG_LOG_LEVEL, value);
 
         sendResponse(SUCCESS, null, params, resp);
     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
index 317a50d683099404f679aa53708fe7567f80cc9f..59eead9df5e763b9714e503e69b366961df8f9a0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
@@ -362,7 +362,7 @@ public class OCSPAdminServlet extends AdminServlet {
                     continue;
                 String value = req.getParameter(name);
 
-                params.add(name, value);
+                params.put(name, value);
             }
             store.setConfigParameters(params);
             commit(true);
@@ -432,7 +432,7 @@ public class OCSPAdminServlet extends AdminServlet {
             if (storeName.equals(defStore)) {
                 storeEnabled = true;
             }
-            params.add(storeName, storeName + ";visible;" + ((storeEnabled) ? "enabled" : "disabled"));
+            params.put(storeName, storeName + ";visible;" + ((storeEnabled) ? "enabled" : "disabled"));
         }
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -449,7 +449,7 @@ public class OCSPAdminServlet extends AdminServlet {
     }
 
     private void getSigningAlgConfig(NameValuePairs params) {
-        params.add(Constants.PR_DEFAULT_ALGORITHM,
+        params.put(Constants.PR_DEFAULT_ALGORITHM,
                 mOCSP.getDefaultAlgorithm());
         String[] algorithms = mOCSP.getOCSPSigningAlgorithms();
         StringBuffer algorStr = new StringBuffer();
@@ -461,7 +461,7 @@ public class OCSPAdminServlet extends AdminServlet {
                 algorStr.append(":");
             algorStr.append(algorithms[i]);
         }
-        params.add(Constants.PR_ALL_ALGORITHMS, algorStr.toString());
+        params.put(Constants.PR_ALL_ALGORITHMS, algorStr.toString());
     }
 
     /**
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
index 4dbde7e062158037b064a8ab93f65f2b06cd44c9..9eb5c3455f51c16fb1b209a5bbe3652feff372dc 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
@@ -298,11 +298,11 @@ public class PolicyAdminServlet extends AdminServlet {
         /* make sure policy rules have 'enable' and 'predicate' */
 
         if (ext_info instanceof IPolicyRule) {
-            if (nvps.getPair(IPolicyRule.PROP_ENABLE) == null) {
-                nvps.add(IPolicyRule.PROP_ENABLE, "boolean;Enable this policy rule");
+            if (nvps.get(IPolicyRule.PROP_ENABLE) == null) {
+                nvps.put(IPolicyRule.PROP_ENABLE, "boolean;Enable this policy rule");
             }
-            if (nvps.getPair(PROP_PREDICATE) == null) {
-                nvps.add(PROP_PREDICATE, "string;Rules describing when this policy should run.");
+            if (nvps.get(PROP_PREDICATE) == null) {
+                nvps.put(PROP_PREDICATE, "string;Rules describing when this policy should run.");
             }
         }
     }
@@ -448,7 +448,7 @@ public class PolicyAdminServlet extends AdminServlet {
                     impl.getClass().getName();
             String desc = impl.getDescription();
 
-            nvp.add(id, className + "," + desc);
+            nvp.put(id, className + "," + desc);
         }
         sendResponse(SUCCESS, null, nvp, resp);
     }
@@ -471,7 +471,7 @@ public class PolicyAdminServlet extends AdminServlet {
             String info = instancesInfo.nextElement();
             int i = info.indexOf(";");
 
-            nvp.add(info.substring(0, i), info.substring(i + 1));
+            nvp.put(info.substring(0, i), info.substring(i + 1));
 
         }
         sendResponse(SUCCESS, null, nvp, resp);
@@ -594,7 +594,7 @@ public class PolicyAdminServlet extends AdminServlet {
             String nv = e.nextElement();
             int index = nv.indexOf("=");
 
-            nvp.add(nv.substring(0, index), nv.substring(index + 1));
+            nvp.put(nv.substring(0, index), nv.substring(index + 1));
         }
         sendResponse(SUCCESS, null, nvp, resp);
     }
@@ -829,7 +829,7 @@ public class PolicyAdminServlet extends AdminServlet {
                 value = "";
             }
 
-            nvp.add(name, value);
+            nvp.put(name, value);
 
         }
         sendResponse(SUCCESS, null, nvp, resp);
